Laravel で PHPUnit を使う

Composer を使ってインストールするので基本的に Laravel 以外でも同様。

依存情報の追加

PHPUnit のドキュメント の通り composer.json に追加。

"require-dev": {
    "phpunit/phpunit": "3.8.*"
}

WebMatrix を使っている場合は PHP のバージョンが 5.3 で PHPUnit 3.8 が使えないので 3.7 を。

インストール

composer.json が置いてあるところでアップデートを実行。
Windows で Composer を使うには Windows PowerShell で Composer を使う 参照。

composer update

vendor/phpunit にインストールされます。

使い方

php .\vendor\phpunit\phpunit\composer\bin\phpunit

テストの実行結果が表示されます。
必要に応じて IDE に設定したり、実行ファイルを作ると良いかと思います。


カテゴリー: Laravel パーマリンク